## org.hibernate.ejb.cfg.spi
Interface IdentifierGeneratorStrategyProvider

    public interface IdentifierGeneratorStrategyProvider

Provide a set of IdentifierGenerator strategies allowing to override the Hibernate Core default ones

Method Summary
`Map<String,Class<?>>` `getStrategies()` set of strategy / generator class pairs to register as accepted strategies

Method Detail

### getStrategies

    Map<String,Class<?>> getStrategies()

  set of strategy / generator class pairs to register as accepted strategies

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.